/*
 * Copyright: 2016 Canonical, Ltd
 *
 * This file is part of acolyterm
 *
 * acolyterm is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * acolyterm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "fileio.h"
#include <QFile>
#include <QTextStream>
#include <QUrl>


bool FileIO::write(const QString& sourceUrl, const QString& data)
{
  if (sourceUrl.isEmpty())
  {
    return false;
  }

  QFile file(sourceUrl);
  if (!file.open(QFile::WriteOnly | QFile::Truncate))
  {
    return false;
  }

  file.write(data.toUtf8());

  return true;
}


QString FileIO::read(const QString& sourceUrl)
{
  if (sourceUrl.isEmpty())
  {
    return "";
  }

  QFile file(sourceUrl);
  if (!file.open(QFile::ReadOnly))
  {
    return "";
  }

  return file.readAll();;
}
