/*
 * Copyright: 2016 Canonical, Ltd
 *
 * This file is part of acolyterm
 *
 * acolyterm is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * acolyterm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3

Component {
    id: popoverComponent

    ActionSelectionPopover {
        id: popover

        actions: ActionList {
            Action {
                text: i18n.tr("Select")
                onTriggered: terminalPage.state = "SELECTION";
            }
            Action {
                text: i18n.tr("Copy")
                enabled: !terminal.isSelectionEmpty()
                onTriggered: terminal.copyClipboard();
            }
            Action {
                text: i18n.tr("Paste")
                enabled: !terminal.isClipboardEmpty()
                onTriggered: terminal.pasteClipboard();
            }
        }
    }
}
